perl-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Eric Cholet <cho...@logilune.com>
Subject BSD::Resource needed on BSD systems
Date Wed, 05 Jan 2005 14:49:21 GMT
Hi,

Fresh svn checkout of mp2 / apache 2.0 on MacOSX 10.3.

'make test' fails to start the server. t/logs/error_log reveals that 
Apache::SizeLimit
wants BSD::Resource which wasn't installed on my system.

     } elsif (BSD_LIKE) {

         # will getrusage work on all BSDs?  I should hope so.
         if ( eval { require BSD::Resource } ) {
             $HOW_BIG_IS_IT = \&bsd_size_check;
         } else {
             die "you must install BSD::Resource for Apache::SizeLimit " 
.
                 "to work on your platform.";
         }

Perhaps it would be nicer if this could be detected earlier, 
unfortunately I'm
still way too clueless to provide a patch.

--
Eric Cholet


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@perl.apache.org
For additional commands, e-mail: dev-help@perl.apache.org


Mime
View raw message